## edu.msu.cme.rdp.classifier.comparison
Class TaxonTree.DetailIterator

    java.lang.Object
      edu.msu.cme.rdp.classifier.comparison.TaxonTree.DetailIterator

All Implemented Interfaces:
  java.util.Iterator

Enclosing class:
  TaxonTree

     class TaxonTree.DetailIterator

extends java.lang.Object
implements java.util.Iterator

An Iterator of the sequences assigned to the node

Field Summary
`private java.lang.Object` `onDeck`
`private java.util.Iterator` `s1DetailIterator`
`private java.util.Iterator` `s2DetailIterator`

Constructor Summary
`TaxonTree.DetailIterator(float conf)`

Method Summary
`boolean` `hasNext()`
`java.lang.Object` `next()`
`void` `remove()`
`private void` `setNextElement(java.util.Iterator s1, java.util.Iterator s2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### onDeck

    private java.lang.Object onDeck

### s1DetailIterator

    private java.util.Iterator s1DetailIterator

### s2DetailIterator

    private java.util.Iterator s2DetailIterator

Constructor Detail

### TaxonTree.DetailIterator

    public TaxonTree.DetailIterator(float conf)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### setNextElement

    private void setNextElement(java.util.Iterator s1,
                                java.util.Iterator s2)

### remove

    public void remove()
                throws java.lang.UnsupportedOperationException

  Specified by:
    `remove` in interface `java.util.Iterator`
  Throws:
    `java.lang.UnsupportedOperationException`